package org.wfc.gateway.service;

import java.io.IOException;
import org.wfc.common.core.exception.CaptchaException;
import org.wfc.common.core.web.domain.AjaxResult;

/**
 * 验证码处理
 *
 * @author wfc
 */
public interface ValidateCodeService
{
    /**
     * 生成验证码
     */
    public AjaxResult createCaptcha() throws IOException, CaptchaException;

    /**
     * 生成验证码-邮件
     */
    public AjaxResult createCaptchaEmail(String email) throws IOException, CaptchaException;

    /**
     * 校验验证码
     */
    public void checkCaptcha(String key, String value) throws CaptchaException;
}
